mail::MailFileSystem Class Reference

`#include <MailFileSystem.h>`

## Public Member Functions

| MailFileSystem (std::string mailPath)
bool | ifMailBoxExists (std::string mailbox)
bool | ifAliasExists (std::string alias)
std::string | getMailboxPath (std::string mailbox)
std::vector< std::string > | getAliasMailboxes (std::string alias)

## Constructor & Destructor Documentation

## MailFileSystem()

mail::MailFileSystem::MailFileSystem | ( | std::string | mailPath | ) |

inline

## Member Function Documentation

## getAliasMailboxes()

std::vector<std::string> mail::MailFileSystem::getAliasMailboxes | ( | std::string | alias | ) |

## getMailboxPath()

std::string mail::MailFileSystem::getMailboxPath | ( | std::string | mailbox | ) |

inline

## ifAliasExists()

bool mail::MailFileSystem::ifAliasExists | ( | std::string | alias | ) |

inline

## ifMailBoxExists()

bool mail::MailFileSystem::ifMailBoxExists | ( | std::string | mailbox | ) |

inline

The documentation for this class was generated from the following file:

- /home/bradarant/barant/BMAMail/MailFileSystem.h